Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.webgui.persistence.impl.utility
Class CloseableURLClassLoader

    java.lang.Object
      java.lang.ClassLoader
          java.security.SecureClassLoader
              java.net.URLClassLoader
                  kieker.webgui.persistence.impl.utility.CloseableURLClassLoader

All Implemented Interfaces:
  Closeable

    public final class CloseableURLClassLoader

extends URLClassLoader
implements Closeable

This is a class loader which enriches the `URLClassLoader` with a close-method. The close method is implemented using a hack, which will probably only work for a Sun VM.

Author:
  Nils Christian Ehmke

Constructor Summary
`CloseableURLClassLoader(URL[] urls)` Creates a new class loader with the given URLs and without a parent class loader.
`CloseableURLClassLoader(URL[] urls, ClassLoader parent)` Creates a new class loader with the given URLs and the given parent class loader.

Method Summary
`void` | `close()`

Methods inherited from class java.net.URLClassLoader
`addURL, definePackage, findClass, findResource, findResources, getPermissions, getURLs, newInstance, newInstance`

Methods inherited from class java.security.SecureClassLoader
`defineClass, defineClass`

Methods inherited from class java.lang.ClassLoader
`clearAssertionStatus, defineClass, defineClass, defineClass, defineClass, definePackage, findLibrary, findLoadedClass, findSystemClass, getPackage, getPackages, getParent, getResource, getResourceAsStream, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, loadClass, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CloseableURLClassLoader

    public CloseableURLClassLoader(URL[] urls)

  Creates a new class loader with the given URLs and without a parent class loader.

  Parameters:
    `urls` - The URLs to be used by the class loader.

### CloseableURLClassLoader

    public CloseableURLClassLoader(URL[] urls,
                                   ClassLoader parent)

  Creates a new class loader with the given URLs and the given parent class loader.

  Parameters:
    `urls` - The URLs to be used by the class loader.
    `parent` - The parent of this class loader.

Method Detail

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All rights reserved.